> I gotta say folk, this is going to make it *very* hard to convince others
> here to use ruby, and that's a shame... *30* times slower than Perl?!!
> Code available on request.
> 
> Clifford Heath

What version? I believe from prior postings to this newsgroup that 1.6.7 
and even better 1.7.2 has fixed it.

Bob